Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.ui
Class GeneratorSettings

    java.lang.Object
      com.ssaglobal.generator.ui.GeneratorSettings

    public class GeneratorSettings

extends java.lang.Object

Constructor Summary
`GeneratorSettings()`

Method Summary
`static java.lang.String` | `getProjectPropertyValue(org.eclipse.core.resources.IProject project, org.eclipse.ui.plugin.AbstractUIPlugin plugin, java.lang.String propertyName)` Read the property value for a specific project
`static java.lang.String` | `getPropertyValue(org.eclipse.core.resources.IProject project, org.eclipse.ui.plugin.AbstractUIPlugin plugin, java.lang.String propertyName)` Read property value Takes also into account the value of "Use Preference value" If project is null, then always the prefence value is taken.
`static boolean` | `getUsePreferenceValue(org.eclipse.core.resources.IProject project, org.eclipse.ui.plugin.AbstractUIPlugin plugin)` Determine of for a combination of project and plugin the preference values should be taken
`static void` | `setProjectPropertyValue(org.eclipse.core.resources.IProject project, org.eclipse.ui.plugin.AbstractUIPlugin plugin, java.lang.String propertyName, java.lang.String value)` Store the project property value
`static void` | `setPropertyValue(org.eclipse.core.resources.IProject project, org.eclipse.ui.plugin.AbstractUIPlugin plugin, java.lang.String propertyName, java.lang.String value)` Store the property value If project is null, then a preferencevalue will be stored
`static void` | `setUsePreferenceValue(org.eclipse.core.resources.IProject project, org.eclipse.ui.plugin.AbstractUIPlugin plugin, boolean usePreferenceValue)` Set wheter preference values should be used for a combination of project and plugin

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorSettings

    public GeneratorSettings()

Method Detail

### setUsePreferenceValue

    public static void setUsePreferenceValue(org.eclipse.core.resources.IProject project,
                                             org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                             boolean usePreferenceValue)

  Set wheter preference values should be used for a combination of project and plugin

  Parameters:
    `project` -
    `plugin` -
    `usePreferenceValue` -

### getUsePreferenceValue

    public static boolean getUsePreferenceValue(org.eclipse.core.resources.IProject project,
                                                org.eclipse.ui.plugin.AbstractUIPlugin plugin)

  Determine of for a combination of project and plugin the preference values should be taken

  Parameters:
    `project` -
    `plugin` -
  Returns:
    true if preference values should be taken, otherwise false If nothing defined, then it returns true

### getPropertyValue

    public static java.lang.String getPropertyValue(org.eclipse.core.resources.IProject project,
                                                    org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                                    java.lang.String propertyName)

  Read property value Takes also into account the value of "Use Preference value" If project is null, then always the prefence value is taken.

  Parameters:
    `project` - project for which the property value is read. If null, then preference is taken
    `plugin` - plugin for which the propery is read
    `propertyName` - Name of property
  Returns:
    String value of property

### getProjectPropertyValue

    public static java.lang.String getProjectPropertyValue(org.eclipse.core.resources.IProject project,
                                                           org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                                           java.lang.String propertyName)

  Read the property value for a specific project

  Parameters:
    `project` - project for which the property value is read. If null, then preference is taken
    `plugin` - plugin for which the propery is read
    `propertyName` - Name of property
  Returns:
    String value of property

### setPropertyValue

    public static void setPropertyValue(org.eclipse.core.resources.IProject project,
                                        org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                        java.lang.String propertyName,
                                        java.lang.String value)

  Store the property value If project is null, then a preferencevalue will be stored

  Parameters:
    `project` - project for which the property value is set. If null, then preference is set
    `plugin` - plugin for which the propery is set
    `propertyName` - Name of property
    `value` -

### setProjectPropertyValue

    public static void setProjectPropertyValue(org.eclipse.core.resources.IProject project,
                                               org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                               java.lang.String propertyName,
                                               java.lang.String value)

  Store the project property value

  Parameters:
    `project` - project for which the property value is set. If null, then preference is set
    `plugin` - plugin for which the propery is set
    `propertyName` - Name of property
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD